Get font generation status
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.mixfont.com/v1/font-generations/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.mixfont.com/v1/font-generations/{jobId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.mixfont.com/v1/font-generations/{jobId} \
--header 'x-api-key: <api-key>'{
"id": "7d58a66d-f129-4f9a-bf9a-4f2c6d0c3e4d",
"name": "Nebula Sans",
"ttf_url": "https://static.mixfont.com/uploads/generated/7d58a66d-f129-4f9a-bf9a-4f2c6d0c3e4d/font.ttf",
"status": "succeeded",
"input_type": "text",
"glyph_set": "standard",
"progress_percent": 100,
"created_at": "2026-06-02T21:12:42.000Z"
}{
"error": "prompt is required."
}{
"error": "Unauthorized."
}{
"error": "Font generation not found."
}{
"error": "Failed to load font generation."
}API reference
Generation Status
Poll a font generation job and retrieve the generated TTF file
GET
/
v1
/
font-generations
/
{jobId}
Get font generation status
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.mixfont.com/v1/font-generations/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.mixfont.com/v1/font-generations/{jobId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.mixfont.com/v1/font-generations/{jobId} \
--header 'x-api-key: <api-key>'{
"id": "7d58a66d-f129-4f9a-bf9a-4f2c6d0c3e4d",
"name": "Nebula Sans",
"ttf_url": "https://static.mixfont.com/uploads/generated/7d58a66d-f129-4f9a-bf9a-4f2c6d0c3e4d/font.ttf",
"status": "succeeded",
"input_type": "text",
"glyph_set": "standard",
"progress_percent": 100,
"created_at": "2026-06-02T21:12:42.000Z"
}{
"error": "prompt is required."
}{
"error": "Unauthorized."
}{
"error": "Font generation not found."
}{
"error": "Failed to load font generation."
}Fetch the current status of a font generation job. Poll this endpoint until
status is succeeded, failed, or cancelled.
When status is succeeded, ttf_url contains the generated TTF download URL.Authorizations
Path Parameters
Generation id returned by the create endpoint.
Response
Current generation status
Generation id.
Generated font display name.
Download URL for the generated TTF file. This is null until the job succeeds.
Available options:
preparing, queued, running, succeeded, cancelled, failed Available options:
text, image standard generates 72 glyphs to support English with basic letters, numbers, and punctuation. extended generates 319 glyphs to support all Latin languages, including special characters, costs more credits, and may take 2-3 minutes to complete.
Available options:
standard, extended Approximate job progress percentage.
Required range:
0 <= x <= 100ISO timestamp for when the generation was created.
Error message. Present only when status is failed and an error message is available.

